Hah! Who needs PPAs? I have my own multimedia+ repo!

Everything about X, Gnome, KDE, ... and everything running on it

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-09-20 23:00

SMTube updated from 18.3.0 to 18.9.0 for Jessie and Stretch.
SMPlayer updated from 18.6.0 to 18.9.0 for Jessie and Stretch.

Both of these fix Youtube playback broken by recent API changes at the site.

also updated qBittorrent to 4.1.3, a Stretch backport of the Sid 4.18.8 kernel, the latest Liquorix 4.18-10 kernel for Jessie and Stretch, and Pale Moon 28.1.0 in their own separate OBS repos.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby None1975 » 2018-09-21 14:44

stevepusser wrote:also updated qBittorrent to 4.1.3

Wow! Jus wow. You're fast! This version is not even in Sid. Thank you.
User avatar
None1975
 
Posts: 699
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-09-21 16:17

None1975 wrote:
stevepusser wrote:also updated qBittorrent to 4.1.3

Wow! Jus wow. You're fast! This version is not even in Sid. Thank you.


Yes, qBittorrent and the libtorrent-rasterbar engine that it, Deluge, and some other clients use seem to be updated only sporadically in Debian: https://repology.org/metapackage/qbittorrent/versions
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Nili » 2018-09-22 15:48

Hello stevepusser, Is it possible to do one Openbox backport and put on your repository for Debian Jessie?
I'd like to try newest version 3.6.1-7 because i have a few little issues with version from Jessie.

Thank you!
Nothing beats peace and quiet. - Tomoki Sakurai
User avatar
Nili
 
Posts: 345
Joined: 2014-04-30 14:04
Location: $HOME/♫♪

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-09-22 17:54

I did 3.6.1-7, but dropped the version to 3.6.1-4~obs so it won't interfere with an in-place upgrade to Stretch. It's in its own separate repository:

https://build.opensuse.org/package/show ... rt/openbox
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Nili » 2018-09-22 18:40

That's good Steve, I'll try it once i finish some of the works that i have now. Many thanks, In fact the latest version i think would be ideal, any particular reason why it did not go or have a chance time later?

Many thanks for your awesome work!
Best regards!
Nothing beats peace and quiet. - Tomoki Sakurai
User avatar
Nili
 
Posts: 345
Joined: 2014-04-30 14:04
Location: $HOME/♫♪

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-09-23 01:42

Nili wrote:That's good Steve, I'll try it once i finish some of the works that i have now. Many thanks, In fact the latest version i think would be ideal, any particular reason why it did not go or have a chance time later?

Many thanks for your awesome work!
Best regards!


It actually is a rebuild of the latest 3.6.1-7. I just changed the versioning manually so it won't interfere with an update to Stretch's 3.6.1-4, in the event that someone else installs my version on Jessie. Just consider my version as cherry-picking and adding all the changes and patches from the the -7 version.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Nili » 2018-09-23 06:00

stevepusser wrote:It actually is a rebuild of the latest 3.6.1-7. I just changed the versioning manually so it won't interfere with an update to Stretch's 3.6.1-4, in the event that someone else installs my version on Jessie. Just consider my version as cherry-picking and adding all the changes and patches from the the -7 version.


It's genius, we'll go to work with it right now. Many thanks for making like this Steve.
Nothing beats peace and quiet. - Tomoki Sakurai
User avatar
Nili
 
Posts: 345
Joined: 2014-04-30 14:04
Location: $HOME/♫♪

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-10-03 17:55

Audacity updated to 2.3.0 for Jessie and Stretch. For those that would prefer a version built on pure Stretch without a newer ffmpeg, I set up this separate repo:

https://build.opensuse.org/package/show ... a/audacity

And in a Buster repo: https://build.opensuse.org/package/show ... a/audacity
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-10-04 21:02

Clipgrab updated to 3.7.1.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-10-14 19:08

stevepusser wrote:Audacity updated to 2.3.0 for Jessie and Stretch. For those that would prefer a version built on pure Stretch without a newer ffmpeg, I set up this separate repo:

https://build.opensuse.org/package/show ... a/audacity

And in a Buster repo: https://build.opensuse.org/package/show ... a/audacity


Based on reports that Audacity 2.3.0 is buggy with plugins, I'm reverting to the 2.2.2 release.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-10-21 19:54

SMPlayer updated to 18.10.0 for Jessie and Stretch.
* The internal code for YouTube now supports resolutions up to 4K. The
support for age restricted videos has been fixed.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-10-22 18:33

Krita updated to 4.13 for Stretch. This really looks like as far as I can go without patches to fix build failures on gcc-6.

obs-studio updated to current 22.0.3 release for Jessie and Stretch.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-10-26 21:30

Pulled a patch from the upstream Krita git that fixes the Stretch gcc-6/Qt 5.7.1 build, so am loading Krita 4.1.5 sources into the repo now.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-10-28 20:02

Updated: azpainter to 2.1.3 for Jessie and Stretch.

Added: mkvtoolnix 28.2.0 for Stretch, which also needed a backport of libmatroska-dev. This newer libmatroska-dev triggered a rebuild of VLC, which in turn is triggering a rebuild of Krita 4.1.5.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, tlp-ui, wine-staging 3.21, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10268
Joined: 2009-10-06 05:53

PreviousNext

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable